Summary:	KDE frontend for the Clam AntiVirus virus scanner
Name:		klamav
Version:	0.41.1
Release:	%mkrel 2
License:	GPL
Group:		File tools
URL:		http://sourceforge.net/projects/klamav/
Source0:	http://prdownloads.sourceforge.net/%{name}/%{name}-%{version}-source.tar.bz2
Source1:	klamav.sh
Patch0:		klamav-0.32-default-db-dir.diff
BuildRequires:	kdelibs-devel
BuildRequires:	clamav-devel >= 0.90
BuildRequires:	desktop-file-utils
Requires:	clamav >= 0.90
Buildroot:	%{_tmppath}/%{name}-%{version}-root

%description
KlamAV provides ClamAV protection for the KDE desktop. It includes
'on access' scanning, manual scanning, quarantine management,
downloading of updates, mail scanning, and automated installation.

%prep
%setup -qn %{name}-%{version}-source

cd %{name}-%{version}
%patch0 -p1 -b .default_db_directory

%build

{
cd %{name}-%{version}
%configure2_5x \
	--disable-rpath \
	--enable-nmcheck \
	--enable-final \
	--enable-pch \
	--enable-strict \
	--enable-new-ldflags

make
cd -
}

%install
rm -Rf %{buildroot}

{
cd %{name}-%{version}
%makeinstall_std

mkdir -p %{buildroot}/{%{_menudir},%{_miconsdir},%{_liconsdir}}
ln -s %{_iconsdir}/locolor/16x16/apps/%{name}.png %{buildroot}/%{_miconsdir}/%{name}.png
ln -s %{_iconsdir}/hicolor/32x32/apps/%{name}.png %{buildroot}/%{_iconsdir}/%{name}.png
ln -s %{_iconsdir}/hicolor/48x48/apps/%{name}.png %{buildroot}/%{_liconsdir}/%{name}.png

mkdir -p %{buildroot}%{_datadir}/applications/kde
desktop-file-install --vendor='' \
	--dir=%{buildroot}%{_datadir}/applications/kde \
	--remove-category="Application" \
	--add-category="Security" \
	%{buildroot}%{_datadir}/applnk/Utilities/klamav.desktop

rm -f %{buildroot}%{_datadir}/applnk/Utilities/klamav.desktop

# Copy translated virus browser
# Next release this shoul be made standard
mv %{buildroot}%{_bindir}/klamav %{buildroot}%{_bindir}/klamav-real
cp %SOURCE1 %{buildroot}%{_bindir}/klamav
cd -
} 

%find_lang %{name}

%post
%update_menus

%postun
%clean_menus

%clean
rm -Rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%attr (755,root,root) %{_bindir}/*
%{_datadir}/apps/%{name}
%{_iconsdir}/*/*/*/%{name}.png
%{_datadir}/applications/kde/*.desktop
%{_datadir}/apps/konqueror/servicemenus/klamav-dropdown.desktop
%{_datadir}/doc/HTML/en/klamav02/
%{_datadir}/config.kcfg/*.kcfg
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_liconsdir}/%{name}.png


%changelog
* Thu Aug 09 2007 Funda Wang <fundawang@mandriva.org> 0.41.1-2mdv2008.0
+ Revision: 60769
- drop old menu
- New version 0.41.1


* Sun Mar 04 2007 Emmanuel Andry <eandry@mandriva.org> 0.41-2mdv2007.0
+ Revision: 131925
- rebuild for new libclamav

* Sat Feb 24 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.41-1mdv2007.1
+ Revision: 125377
- new version
- use --disable-rpath
- pass some other options into the %%configure
- drop sources 2,4,5
- use %%find_lang
- some cleans in spec file

* Thu Dec 14 2006 Emmanuel Andry <eandry@mandriva.org> 0.39-2mdv2007.1
+ Revision: 96844
- remove support for version older than MDV10.1

* Thu Dec 14 2006 Emmanuel Andry <eandry@mandriva.org> 0.39-1mdv2007.1
+ Revision: 96583
- New version 0.39
  drop patches 1 2 3 4 5

  + Andreas Hasenack <andreas@mandriva.com>
    - renamed mdv to packages because mdv is too generic and it's hosting only packages anyway

  + Helio Chissini de Castro <helio@mandriva.com>
    - Fix for proxy cnofigurations. Not everyone use proxy with user and pwd.
    - Fixed media:/ or devices:/ patch
    - Added patch for translate html files. Still not the optimal solution, but
      works for current requirements
    - Added translation for .html about files
    - Fixded pt_BR translation. Patch will be submitted upstream
    - Added better ui handling by Gustavo Boiko <boiko@mandriva.com>, using media:/
      on KDE 3.5
    - No nrpoc compilation
    - Upload packages with OEM fixes
    - Created package structure for klamav.

* Tue Nov 22 2005 Laurent MONTEL <lmontel@mandriva.com> 0.32-1
- 0.32

* Fri Nov 18 2005 Oden Eriksson <oeriksson@mandriva.com> 0.22.1-2mdk
- rebuilt against openssl-0.9.8a

* Fri Aug 26 2005 Buchan Milne <bgmilne@linux-mandrake.com> 0.22.1-1mdk
- New release 0.22.1

* Tue Jul 26 2005 Nicolas Lécureuil <neoclust@mandriva.org> 0.22-1mdk
- New release 0.22

* Wed Jul 13 2005 Buchan Milne <bgmilne@linux-mandrake.com> 0.20.1-1mdk
- New release 0.20.1

* Fri May 27 2005 Nicolas Lécureuil <neoclust@mandriva.org> 0.20-1mdk
-  0.20

* Tue May 24 2005 Eskild Hustvedt <eskild@mandriva.org> 0.17.2-3mdk
- Rebuild

* Fri Apr 29 2005 Nicolas Lécureuil <neoclust@mandriva.org> 0.17.2-2mdk
- Fix BuildRequires

* Fri Apr 29 2005 Nicolas Lécureuil <neoclust@mandriva.org> 0.17.2-1mdk
- 0.17.2

* Wed Apr 13 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 0.17-1mdk
- 0.17
- rediff P0
- nuke rpath

* Sat Apr 09 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 0.12.1-1mdk
- 0.12.1
- use the %%mkrel macro
- fix description
- fix P0, in another place

* Sat Oct 16 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.06-1mdk
- 0.06

* Wed Sep 29 2004 Buchan Milne <bgmilne@linux-mandrake.com> 0.05-1mdk
- first Mandrake package
- p0 to use our clamav-db path

